Name:		flaw
Version:	1.3.2a
Release:	3%{?dist}
Summary:	Free top-down wizard battle game
Group:		Amusements/Games
License:	GPLv3+
URL:		http://flaw.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	SDL_image-devel SDL_mixer-devel SDL_ttf-devel SDL-devel gnu-free-serif-fonts 
BuildRequires:	SDL_gfx-devel desktop-file-utils gnu-free-sans-fonts gettext intltool
Requires:	gnu-free-sans-fonts gnu-free-serif-fonts

%description
FLAW is a free top-down wizard battle game.
It can be played by up to 5 players simultaneously. The goal of the game is to
survive as long as possible while more and more fireballs appear in the arena.
Game play is simple and self-explanatory. It's all about evading the fireballs
and knocking your opponents down. In addition there are collectible magic gems
that provide special abilities.

%prep
%setup -q

# Fix spurious executable permissions
chmod 644 src/*.cc
chmod 644 src/*.h

%build
%configure --docdir=%{_docdir}/%{name}-%{version} --enable-fontpath=%{_datadir}/fonts/gnu-free/
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/flaw
%{_datadir}/flaw
%{_datadir}/pixmaps/flaw.png
%{_datadir}/applications/flaw.desktop
%exclude %{_docdir}/%{name}-%{version}/INSTALL
%doc %{_docdir}/%{name}-%{version}

%changelog
* Sat Jul 06 2013 Filipe Rosset <rosset.filipe@gmail.com> 1.3.2a-3
- Fix for #890228

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2a-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Oct 25 2012 Filipe Rosset <filiperosset@fedoraproject.org> - 1.3.2a-1
- Updated to version 1.3.2a upstream

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Sep 07 2011 Adam Jackson <ajax@redhat.com> 1.2.4-3
- Rebuild for new GLEW soname.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Aug 1 2010 Filipe Rosset <filiperosset@fedoraproject.org> - 1.2.4-1
- Updated to version 1.2.4 upstream

* Sun May 2 2010 Filipe Rosset <rosset.filipe@gmail.com> - 1.2.3-2
- Fix Requires

* Tue Apr 13 2010 Filipe Rosset <rosset.filipe@gmail.com> - 1.2.3-1
- Update to version 1.2.3 upstream
- Update BuildRequires

* Tue Mar 30 2010 Filipe Rosset <rosset.filipe@gmail.com> - 1.2.2-8
- Fix spec issues

* Mon Mar 29 2010 Filipe Rosset <rosset.filipe@gmail.com> - 1.2.2-7
- Fix spec issues

* Sun Mar 28 2010 Filipe Rosset <rosset.filipe@gmail.com> - 1.2.2-6
- Fix spec issues

* Sat Mar 27 2010 Filipe Rosset <rosset.filipe@gmail.com> - 1.2.2-5
- Fix shebang on rpmlint, now is silent
- Fix location and incorrect lines of flaw.desktop
- Fix documentation files

* Sun Feb 21 2010 Filipe Rosset <rosset.filipe@gmail.com> - 1.2.2-4
- Removed irrelevant files in doc
- Updated to version 1.2.2 upstream source

* Tue Dec 29 2009 Filipe Rosset <rosset.filipe@gmail.com> - 1.2.1-3
- Now fixed Source0 url
- Updated to version 1.2.1 upstream source

* Tue Dec 22 2009 Filipe Rosset <rosset.filipe@gmail.com> - 1.2-2
- Replaced "%%{_bindir}/flaw*" to "%%{_bindir}/flaw"
- Replaced license GPLv3 to GPLv3+
- Removed Requires information
- Updated BuildRequires information

* Fri Dec 18 2009 Filipe Rosset <rosset.filipe@gmail.com> - 1.2-1
- Initial RPM release
